<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>Uses of Class es.uned.lsi.eped.pract2019_2020.Node</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class es.uned.lsi.eped.pract2019_2020.Node";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class es.uned.lsi.eped.pract2019_2020.Node" class="title">Uses of Class<br>es.uned.lsi.eped.pract2019_2020.Node</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#es.uned.lsi.eped.pract2019_2020">es.uned.lsi.eped.pract2019_2020</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="es.uned.lsi.eped.pract2019_2020">
<!--   -->
</a>
<h3>Uses of <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a> in <a href="../package-summary.html">es.uned.lsi.eped.pract2019_2020</a></h3>
<div class="useSummary">
<table>
<caption><span>Subclasses of <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a> in <a href="../package-summary.html">es.uned.lsi.eped.pract2019_2020</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../LetterNode.html" title="class in es.uned.lsi.eped.pract2019_2020">LetterNode</a></span></code></th>
<td class="colLast">
<div class="block">EPED Pract2019_2020.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../RootNode.html" title="class in es.uned.lsi.eped.pract2019_2020">RootNode</a></span></code></th>
<td class="colLast">
<div class="block">EPED Pract2019_2020.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../WordNode.html" title="class in es.uned.lsi.eped.pract2019_2020">WordNode</a></span></code></th>
<td class="colLast">
<div class="block">EPED Pract2019_2020.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">es.uned.lsi.eped.pract2019_2020</a> that return types with arguments of type <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../DataStructures/GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">GTreeIF</a>&lt;<a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NodeTools.</span><code><span class="memberNameLink"><a href="../NodeTools.html#getTreeLetterNode(char)">getTreeLetterNode</a></span>&#8203;(char&nbsp;letter)</code></th>
<td class="colLast">
<div class="block">Create a new tree node and assign it a letter.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../package-summary.html">es.uned.lsi.eped.pract2019_2020</a> with parameters of type <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NodeTools.</span><code><span class="memberNameLink"><a href="../NodeTools.html#checkLetterInNodeLetter(es.uned.lsi.eped.pract2019_2020.Node,char)">checkLetterInNodeLetter</a></span>&#8203;(<a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a>&nbsp;node,
                       char&nbsp;letter)</code></th>
<td class="colLast">
<div class="block">Check if node is a LetterNode and has same param letter.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Method parameters in <a href="../package-summary.html">es.uned.lsi.eped.pract2019_2020</a> with type arguments of type <a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">NodeTools.</span><code><span class="memberNameLink"><a href="../NodeTools.html#setTreeWordToNode(es.uned.lsi.eped.DataStructures.GTreeIF)">setTreeWordToNode</a></span>&#8203;(<a href="../../DataStructures/GTreeIF.html" title="interface in es.uned.lsi.eped.DataStructures">GTreeIF</a>&lt;<a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Node</a>&gt;&nbsp;node)</code></th>
<td class="colLast">
<div class="block">Add a word ending mark to indicate node.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Node.html" title="class in es.uned.lsi.eped.pract2019_2020">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
